### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio-input.directive.ts`

### Implements

`OnInit` `DoCheck`

### Metadata

Selector | `input[eclRadioInput]`

### Index

###### Properties

- Public eclRadio

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(eclRadio: EclRadioDirective, ngControl: NgControl, cd: ChangeDetectorRef)`

Parameters :

Name | Type | Optional
eclRadio | `EclRadioDirective` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### HostBindings

class
Type : `any`

### Properties

Public eclRadio
Type : `EclRadioDirective`
Decorators : `@Inject(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""